## Index

### Classes

- REPLServer
- Recoverable

### Interfaces

- REPLCommand
- ReplOptions

### Type aliases

- REPLCommandAction
- REPLEval
- REPLWriter

### Variables

- REPL_MODE_SLOPPY
- REPL_MODE_STRICT
- writer

### Functions

- start

## Type aliases

### REPLCommandAction

REPLCommandAction: function

- Defined in node_modules/@types/node/repl.d.ts:98

#### Type declaration

- - (this: REPLServer, text: string): void

  - #### Parameters

    - ##### this: REPLServer

    - ##### text: string

    #### Returns void

### REPLEval

REPLEval: function

- Defined in node_modules/@types/node/repl.d.ts:89

#### Type declaration

- - (this: REPLServer, evalCmd: string, context: Context, file: string, cb: function): void

  - #### Parameters

    - ##### this: REPLServer

    - ##### evalCmd: string

    - ##### context: Context

    - ##### file: string

    - ##### cb: function

      - - (err: Error | null, result: any): void

        - #### Parameters

          - ##### err: Error | null

          - ##### result: any

          #### Returns void

### REPLWriter

REPLWriter: function

- Defined in node_modules/@types/node/repl.d.ts:90

#### Type declaration

- - (this: REPLServer, obj: any): string

  - #### Parameters

    - ##### this: REPLServer

    - ##### obj: any

    #### Returns string

## Variables

### Const REPL_MODE_SLOPPY

REPL_MODE_SLOPPY: symbol

- Defined in node_modules/@types/node/repl.d.ts:356

A flag passed in the REPL options. Evaluates expressions in sloppy mode.

### Const REPL_MODE_STRICT

REPL_MODE_STRICT: symbol

- Defined in node_modules/@types/node/repl.d.ts:362

A flag passed in the REPL options. Evaluates expressions in strict mode. This is equivalent to prefacing every repl statement with `'use strict'`.

### Const writer

writer: REPLWriter & object

- Defined in node_modules/@types/node/repl.d.ts:96

This is the default "writer" value, if none is passed in the REPL options, and it can be overridden by custom print functions.

## Functions

### start

- start(options?: string | ReplOptions): REPLServer

- - Defined in node_modules/@types/node/repl.d.ts:370

  Creates and starts a `repl.REPLServer` instance.

  #### Parameters

  - ##### Optional options: string | ReplOptions

    The options for the `REPLServer`. If `options` is a string, then it specifies the input prompt.

  #### Returns REPLServer

Generated using TypeDoc